#include <bits/stdc++.h>

using namespace std;

#define ll long long
#define ld long double
#define vt vector
#define pb push_back
#define all(a) a.begin(),a.end()
#define sz(x) (int)x.size()

const int MOD=1000000007;
const int mxN=2e5+5;

void solve(){
    string a,b;
    cin >> a >> b;
    int l1=sz(a);
    int l2=sz(b);
    string ans="";
    string a2="";
    string b2="";
    vt<bool> dodat1(max(l1,l2),0),dodat2(max(l1,l2),0);
    if(l1==l2){
        a2=a;
        b2=b;
    }
    if(l1<l2){
        for(int i=0; i<l2-l1; ++i){
            a2+='0';
            dodat1[i]=1;
        }
        a2+=a;
        b2=b;
    }
    else if(l2<l1){
        for(int i=0; i<l1-l2; ++i){
            b2+='0';
            dodat2[i]=1;
        }
        b2+=b;
        a2=a;
    }
    for(int i=0; i<max(l1,l2); ++i){
        if(a2[i]==b2[i]&&!dodat1[i]&&!dodat2[i]){
            ans.pb(a2[i]);
            ans.pb(a2[i]);
        }
        else{
            ans.pb(max(a2[i],b2[i]));
        }
    }
    cout << ans << "\n";
}

int main(){
    ios::sync_with_stdio(0);
	cin.tie(0);

	int t=1;
	//cin >> t;
	while(t--){
        solve();
	}
}